@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2010
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.



set CUR_DIR=%cd%
set ISA_DIR=%~dp0
set BASE_DIR=%ISA_DIR%/../
cd "%BASE_DIR%"
set BASE_HOME=%cd%
cd "%CUR_DIR%"

if exist "%BASE_HOME%"\ObjectGrid\bin\setupCmdLine.bat (
    call "%BASE_HOME%"\ObjectGrid\bin\setupCmdLine.bat
) else (
    if exist "%BASE_HOME%"\bin\setupCmdLine.bat (
        set JAVA_HOME="%BASE_HOME%"/java
    )
)

rem If OBJECTGRID_HOME is not defined then XS is in WAS Environment
if "" EQU "%OBJECTGRID_HOME%" (
    rem If JAVA_HOME is not defined, then set to peer directory, else leave as is
    if "" EQU "%JAVA_HOME%" (
        set JAVA_HOME="%BASE_HOME%"/java
    )
) else (
    rem OBJECTGRID_HOME is defined so XS is in Stand Alone Environment
    rem If JAVA_HOME is defined, add jre to it, otherwise point to peer java directory
    if exist "%JAVA_HOME%/jre" (
        set JAVA_HOME="%JAVA_HOME%"/jre
    ) else (
        set JAVA_HOME="%BASE_HOME%"/java/jre
    )
)
